Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.controlhaus.amazon
Class AmazonClientControlBean

    java.lang.Object
      org.apache.beehive.controls.runtime.bean.ControlBean
          org.controlhaus.xfire.client.XFireClientControlBean
              org.controlhaus.amazon.AmazonClientControlBean

All Implemented Interfaces:
  java.beans.beancontext.BeanContextProxy, java.io.Serializable, org.apache.beehive.controls.api.bean.ControlBean, AmazonClientControl, org.controlhaus.xfire.client.XFireClientControl

    public class AmazonClientControlBean

extends org.controlhaus.xfire.client.XFireClientControlBean
implements AmazonClientControl

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.controlhaus.xfire.client.XFireClientControlBean
`org.controlhaus.xfire.client.XFireClientControlBean.EndInvokeCallbackNotifier`

Nested classes/interfaces inherited from interface org.controlhaus.xfire.client.XFireClientControl
`org.controlhaus.xfire.client.XFireClientControl.Asynchronous, org.controlhaus.xfire.client.XFireClientControl.Encoding, org.controlhaus.xfire.client.XFireClientControl.EndInvokeCallback, org.controlhaus.xfire.client.XFireClientControl.ServiceUrl, org.controlhaus.xfire.client.XFireClientControl.SoapHeader`

Field Summary
`static org.apache.beehive.controls.api.properties.PropertyKey` | `ControlImplementationKey` A PropertyKey that can be used to access the controlImplementation property of the BaseProperties PropertySet

Fields inherited from class org.controlhaus.xfire.client.XFireClientControlBean
`EncodingValueKey, ServiceUrlValueKey`

Fields inherited from class org.apache.beehive.controls.runtime.bean.ControlBean
`_implClass, FactorySeparator, IDSeparator`

Constructor Summary
`` | `AmazonClientControlBean()` This is the public null-arg constructor for this ControlBean.
`` | `AmazonClientControlBean(org.apache.beehive.controls.api.context.ControlBeanContext context, java.lang.String id, org.apache.beehive.controls.api.properties.PropertyMap props)` This is the public constructor for the class.
`protected` | `AmazonClientControlBean(org.apache.beehive.controls.api.context.ControlBeanContext context, java.lang.String id, org.apache.beehive.controls.api.properties.PropertyMap props, java.lang.Class controlClass)` This is the protected version that is used by any ControlBean subclass

Method Summary
`void` | `beginBrowseNodeLookup(com.amazon.webservices.awseCommerceService.x20041019.BrowseNodeLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginBrowseNodeLookup
`void` | `beginCartAdd(com.amazon.webservices.awseCommerceService.x20041019.CartAddDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginCartAdd
`void` | `beginCartClear(com.amazon.webservices.awseCommerceService.x20041019.CartClearDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginCartClear
`void` | `beginCartCreate(com.amazon.webservices.awseCommerceService.x20041019.CartCreateDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginCartCreate
`void` | `beginCartGet(com.amazon.webservices.awseCommerceService.x20041019.CartGetDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginCartGet
`void` | `beginCartModify(com.amazon.webservices.awseCommerceService.x20041019.CartModifyDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginCartModify
`void` | `beginCustomerContentLookup(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginCustomerContentLookup
`void` | `beginCustomerContentSearch(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentSearchDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginCustomerContentSearch
`void` | `beginHelp(com.amazon.webservices.awseCommerceService.x20041019.HelpDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginHelp
`void` | `beginItemLookup(com.amazon.webservices.awseCommerceService.x20041019.ItemLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginItemLookup
`void` | `beginItemSearch(com.amazon.webservices.awseCommerceService.x20041019.ItemSearchDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginItemSearch
`void` | `beginListLookup(com.amazon.webservices.awseCommerceService.x20041019.ListLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginListLookup
`void` | `beginListSearch(com.amazon.webservices.awseCommerceService.x20041019.ListSearchDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginListSearch
`void` | `beginMultiOperation(com.amazon.webservices.awseCommerceService.x20041019.MultiOperationDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginMultiOperation
`void` | `beginSellerListingLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerListingLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginSellerListingLookup
`void` | `beginSellerListingSearch(com.amazon.webservices.awseCommerceService.x20041019.SellerListingSearchDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginSellerListingSearch
`void` | `beginSellerLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginSellerLookup
`void` | `beginSimilarityLookup(com.amazon.webservices.awseCommerceService.x20041019.SimilarityLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginSimilarityLookup
`void` | `beginTransactionLookup(com.amazon.webservices.awseCommerceService.x20041019.TransactionLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.beginTransactionLookup
`com.amazon.webservices.awseCommerceService.x20041019.BrowseNodeLookupResponseDocument` | `BrowseNodeLookup(com.amazon.webservices.awseCommerceService.x20041019.BrowseNodeLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.BrowseNodeLookup
`com.amazon.webservices.awseCommerceService.x20041019.CartAddResponseDocument` | `CartAdd(com.amazon.webservices.awseCommerceService.x20041019.CartAddDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.CartAdd
`com.amazon.webservices.awseCommerceService.x20041019.CartClearResponseDocument` | `CartClear(com.amazon.webservices.awseCommerceService.x20041019.CartClearDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.CartClear
`com.amazon.webservices.awseCommerceService.x20041019.CartCreateResponseDocument` | `CartCreate(com.amazon.webservices.awseCommerceService.x20041019.CartCreateDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.CartCreate
`com.amazon.webservices.awseCommerceService.x20041019.CartGetResponseDocument` | `CartGet(com.amazon.webservices.awseCommerceService.x20041019.CartGetDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.CartGet
`com.amazon.webservices.awseCommerceService.x20041019.CartModifyResponseDocument` | `CartModify(com.amazon.webservices.awseCommerceService.x20041019.CartModifyDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.CartModify
`com.amazon.webservices.awseCommerceService.x20041019.CustomerContentLookupResponseDocument` | `CustomerContentLookup(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.CustomerContentLookup
`com.amazon.webservices.awseCommerceService.x20041019.CustomerContentSearchResponseDocument` | `CustomerContentSearch(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentSearchDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.CustomerContentSearch
`java.lang.String` | `getControlImplementation()`
`protected java.lang.String[]` | `getParameterNames(java.lang.reflect.Method m)` Returns an array of parameter names for the request method, or null if no parameter data is available.
`protected java.util.Map` | `getPropertyMapCache()`
`com.amazon.webservices.awseCommerceService.x20041019.HelpResponseDocument` | `Help(com.amazon.webservices.awseCommerceService.x20041019.HelpDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.Help
`com.amazon.webservices.awseCommerceService.x20041019.ItemLookupResponseDocument` | `ItemLookup(com.amazon.webservices.awseCommerceService.x20041019.ItemLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.ItemLookup
`com.amazon.webservices.awseCommerceService.x20041019.ItemSearchResponseDocument` | `ItemSearch(com.amazon.webservices.awseCommerceService.x20041019.ItemSearchDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.ItemSearch
`com.amazon.webservices.awseCommerceService.x20041019.ListLookupResponseDocument` | `ListLookup(com.amazon.webservices.awseCommerceService.x20041019.ListLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.ListLookup
`com.amazon.webservices.awseCommerceService.x20041019.ListSearchResponseDocument` | `ListSearch(com.amazon.webservices.awseCommerceService.x20041019.ListSearchDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.ListSearch
`com.amazon.webservices.awseCommerceService.x20041019.MultiOperationResponseDocument` | `MultiOperation(com.amazon.webservices.awseCommerceService.x20041019.MultiOperationDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.MultiOperation
`com.amazon.webservices.awseCommerceService.x20041019.SellerListingLookupResponseDocument` | `SellerListingLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerListingLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.SellerListingLookup
`com.amazon.webservices.awseCommerceService.x20041019.SellerListingSearchResponseDocument` | `SellerListingSearch(com.amazon.webservices.awseCommerceService.x20041019.SellerListingSearchDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.SellerListingSearch
`com.amazon.webservices.awseCommerceService.x20041019.SellerLookupResponseDocument` | `SellerLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.SellerLookup
`com.amazon.webservices.awseCommerceService.x20041019.SimilarityLookupResponseDocument` | `SimilarityLookup(com.amazon.webservices.awseCommerceService.x20041019.SimilarityLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.SimilarityLookup
`com.amazon.webservices.awseCommerceService.x20041019.TransactionLookupResponseDocument` | `TransactionLookup(com.amazon.webservices.awseCommerceService.x20041019.TransactionLookupDocument body)` Implements org.controlhaus.amazon.AmazonClientControl.TransactionLookup

Methods inherited from class org.controlhaus.xfire.client.XFireClientControlBean
`addEndInvokeCallbackListener, beginInvoke, getEncodingValue, getEndInvokeCallbackListeners, getServiceUrlValue, invoke, invoke, removeEndInvokeCallbackListener, setEncodingValue, setServiceUrlValue`

Methods inherited from class org.apache.beehive.controls.runtime.bean.ControlBean
`decodeImpl, enforceVersionRequired, ensureControl, ensureInterceptor, firePropertyChange, fireVetoableChange, getAnnotationMap, getBeanContext, getBeanContextProxy, getControlBeanContext, getControlID, getControlInterface, getControlProperty, getControlService, getEventNotifier, getImplInitializer, getLocalID, getMostDerivedInterface, getPropertyChangeSupport, getRawControlProperty, getVetoableChangeSupport, postInvoke, preInvoke, setBeanContext, setControlID, setControlProperty, setEventNotifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.controlhaus.xfire.client.XFireClientControl
`beginInvoke, invoke, invoke`

Field Detail

### ControlImplementationKey

    public static final org.apache.beehive.controls.api.properties.PropertyKey ControlImplementationKey

  A PropertyKey that can be used to access the controlImplementation property of the BaseProperties PropertySet

Constructor Detail

### AmazonClientControlBean

    public AmazonClientControlBean(org.apache.beehive.controls.api.context.ControlBeanContext context,
                                   java.lang.String id,
                                   org.apache.beehive.controls.api.properties.PropertyMap props)

  This is the public constructor for the class. A client-defined control ID may be provided. This ID must be unique within the nesting ControlBeanContext.

  Parameters:
    `context` - The containing ControlBeanContext
    `id` - The control identifier (or null to autogenerate a unique value)
    `props` - The initialization Properties for the new instance (or null for defaults)

### AmazonClientControlBean

    public AmazonClientControlBean()

  This is the public null-arg constructor for this ControlBean. If a control id is not provided, a unique value will be auto-generated.

### AmazonClientControlBean

    protected AmazonClientControlBean(org.apache.beehive.controls.api.context.ControlBeanContext context,
                                      java.lang.String id,
                                      org.apache.beehive.controls.api.properties.PropertyMap props,
                                      java.lang.Class controlClass)

  This is the protected version that is used by any ControlBean subclass

Method Detail

### getParameterNames

    protected java.lang.String[] getParameterNames(java.lang.reflect.Method m)

  Returns an array of parameter names for the request method, or null if no parameter data is available.

  Overrides:
    `getParameterNames` in class `org.controlhaus.xfire.client.XFireClientControlBean`

### beginMultiOperation

    public void beginMultiOperation(com.amazon.webservices.awseCommerceService.x20041019.MultiOperationDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginMultiOperation

  Specified by:
    `beginMultiOperation` in interface `AmazonClientControl`

### MultiOperation

    public com.amazon.webservices.awseCommerceService.x20041019.MultiOperationResponseDocument MultiOperation(com.amazon.webservices.awseCommerceService.x20041019.MultiOperationDocument body)
                                                                                                       throws java.io.IOException,
                                                                                                              org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.MultiOperation

  Specified by:
    `MultiOperation` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginSellerListingLookup

    public void beginSellerListingLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerListingLookupDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginSellerListingLookup

  Specified by:
    `beginSellerListingLookup` in interface `AmazonClientControl`

### SellerListingLookup

    public com.amazon.webservices.awseCommerceService.x20041019.SellerListingLookupResponseDocument SellerListingLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerListingLookupDocument body)
                                                                                                                 throws java.io.IOException,
                                                                                                                        org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.SellerListingLookup

  Specified by:
    `SellerListingLookup` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginSellerListingSearch

    public void beginSellerListingSearch(com.amazon.webservices.awseCommerceService.x20041019.SellerListingSearchDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginSellerListingSearch

  Specified by:
    `beginSellerListingSearch` in interface `AmazonClientControl`

### SellerListingSearch

    public com.amazon.webservices.awseCommerceService.x20041019.SellerListingSearchResponseDocument SellerListingSearch(com.amazon.webservices.awseCommerceService.x20041019.SellerListingSearchDocument body)
                                                                                                                 throws java.io.IOException,
                                                                                                                        org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.SellerListingSearch

  Specified by:
    `SellerListingSearch` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginTransactionLookup

    public void beginTransactionLookup(com.amazon.webservices.awseCommerceService.x20041019.TransactionLookupDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginTransactionLookup

  Specified by:
    `beginTransactionLookup` in interface `AmazonClientControl`

### TransactionLookup

    public com.amazon.webservices.awseCommerceService.x20041019.TransactionLookupResponseDocument TransactionLookup(com.amazon.webservices.awseCommerceService.x20041019.TransactionLookupDocument body)
                                                                                                             throws java.io.IOException,
                                                                                                                    org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.TransactionLookup

  Specified by:
    `TransactionLookup` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCartClear

    public void beginCartClear(com.amazon.webservices.awseCommerceService.x20041019.CartClearDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginCartClear

  Specified by:
    `beginCartClear` in interface `AmazonClientControl`

### CartClear

    public com.amazon.webservices.awseCommerceService.x20041019.CartClearResponseDocument CartClear(com.amazon.webservices.awseCommerceService.x20041019.CartClearDocument body)
                                                                                             throws java.io.IOException,
                                                                                                    org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.CartClear

  Specified by:
    `CartClear` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCartModify

    public void beginCartModify(com.amazon.webservices.awseCommerceService.x20041019.CartModifyDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginCartModify

  Specified by:
    `beginCartModify` in interface `AmazonClientControl`

### CartModify

    public com.amazon.webservices.awseCommerceService.x20041019.CartModifyResponseDocument CartModify(com.amazon.webservices.awseCommerceService.x20041019.CartModifyDocument body)
                                                                                               throws java.io.IOException,
                                                                                                      org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.CartModify

  Specified by:
    `CartModify` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCartAdd

    public void beginCartAdd(com.amazon.webservices.awseCommerceService.x20041019.CartAddDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginCartAdd

  Specified by:
    `beginCartAdd` in interface `AmazonClientControl`

### CartAdd

    public com.amazon.webservices.awseCommerceService.x20041019.CartAddResponseDocument CartAdd(com.amazon.webservices.awseCommerceService.x20041019.CartAddDocument body)
                                                                                         throws java.io.IOException,
                                                                                                org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.CartAdd

  Specified by:
    `CartAdd` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCartCreate

    public void beginCartCreate(com.amazon.webservices.awseCommerceService.x20041019.CartCreateDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginCartCreate

  Specified by:
    `beginCartCreate` in interface `AmazonClientControl`

### CartCreate

    public com.amazon.webservices.awseCommerceService.x20041019.CartCreateResponseDocument CartCreate(com.amazon.webservices.awseCommerceService.x20041019.CartCreateDocument body)
                                                                                               throws java.io.IOException,
                                                                                                      org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.CartCreate

  Specified by:
    `CartCreate` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCartGet

    public void beginCartGet(com.amazon.webservices.awseCommerceService.x20041019.CartGetDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginCartGet

  Specified by:
    `beginCartGet` in interface `AmazonClientControl`

### CartGet

    public com.amazon.webservices.awseCommerceService.x20041019.CartGetResponseDocument CartGet(com.amazon.webservices.awseCommerceService.x20041019.CartGetDocument body)
                                                                                         throws java.io.IOException,
                                                                                                org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.CartGet

  Specified by:
    `CartGet` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginSellerLookup

    public void beginSellerLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerLookupDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginSellerLookup

  Specified by:
    `beginSellerLookup` in interface `AmazonClientControl`

### SellerLookup

    public com.amazon.webservices.awseCommerceService.x20041019.SellerLookupResponseDocument SellerLookup(com.amazon.webservices.awseCommerceService.x20041019.SellerLookupDocument body)
                                                                                                   throws java.io.IOException,
                                                                                                          org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.SellerLookup

  Specified by:
    `SellerLookup` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginSimilarityLookup

    public void beginSimilarityLookup(com.amazon.webservices.awseCommerceService.x20041019.SimilarityLookupDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginSimilarityLookup

  Specified by:
    `beginSimilarityLookup` in interface `AmazonClientControl`

### SimilarityLookup

    public com.amazon.webservices.awseCommerceService.x20041019.SimilarityLookupResponseDocument SimilarityLookup(com.amazon.webservices.awseCommerceService.x20041019.SimilarityLookupDocument body)
                                                                                                           throws java.io.IOException,
                                                                                                                  org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.SimilarityLookup

  Specified by:
    `SimilarityLookup` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCustomerContentLookup

    public void beginCustomerContentLookup(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentLookupDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginCustomerContentLookup

  Specified by:
    `beginCustomerContentLookup` in interface `AmazonClientControl`

### CustomerContentLookup

    public com.amazon.webservices.awseCommerceService.x20041019.CustomerContentLookupResponseDocument CustomerContentLookup(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentLookupDocument body)
                                                                                                                     throws java.io.IOException,
                                                                                                                            org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.CustomerContentLookup

  Specified by:
    `CustomerContentLookup` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginCustomerContentSearch

    public void beginCustomerContentSearch(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentSearchDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginCustomerContentSearch

  Specified by:
    `beginCustomerContentSearch` in interface `AmazonClientControl`

### CustomerContentSearch

    public com.amazon.webservices.awseCommerceService.x20041019.CustomerContentSearchResponseDocument CustomerContentSearch(com.amazon.webservices.awseCommerceService.x20041019.CustomerContentSearchDocument body)
                                                                                                                     throws java.io.IOException,
                                                                                                                            org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.CustomerContentSearch

  Specified by:
    `CustomerContentSearch` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginListLookup

    public void beginListLookup(com.amazon.webservices.awseCommerceService.x20041019.ListLookupDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginListLookup

  Specified by:
    `beginListLookup` in interface `AmazonClientControl`

### ListLookup

    public com.amazon.webservices.awseCommerceService.x20041019.ListLookupResponseDocument ListLookup(com.amazon.webservices.awseCommerceService.x20041019.ListLookupDocument body)
                                                                                               throws java.io.IOException,
                                                                                                      org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.ListLookup

  Specified by:
    `ListLookup` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginListSearch

    public void beginListSearch(com.amazon.webservices.awseCommerceService.x20041019.ListSearchDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginListSearch

  Specified by:
    `beginListSearch` in interface `AmazonClientControl`

### ListSearch

    public com.amazon.webservices.awseCommerceService.x20041019.ListSearchResponseDocument ListSearch(com.amazon.webservices.awseCommerceService.x20041019.ListSearchDocument body)
                                                                                               throws java.io.IOException,
                                                                                                      org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.ListSearch

  Specified by:
    `ListSearch` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginBrowseNodeLookup

    public void beginBrowseNodeLookup(com.amazon.webservices.awseCommerceService.x20041019.BrowseNodeLookupDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginBrowseNodeLookup

  Specified by:
    `beginBrowseNodeLookup` in interface `AmazonClientControl`

### BrowseNodeLookup

    public com.amazon.webservices.awseCommerceService.x20041019.BrowseNodeLookupResponseDocument BrowseNodeLookup(com.amazon.webservices.awseCommerceService.x20041019.BrowseNodeLookupDocument body)
                                                                                                           throws java.io.IOException,
                                                                                                                  org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.BrowseNodeLookup

  Specified by:
    `BrowseNodeLookup` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginItemLookup

    public void beginItemLookup(com.amazon.webservices.awseCommerceService.x20041019.ItemLookupDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginItemLookup

  Specified by:
    `beginItemLookup` in interface `AmazonClientControl`

### ItemLookup

    public com.amazon.webservices.awseCommerceService.x20041019.ItemLookupResponseDocument ItemLookup(com.amazon.webservices.awseCommerceService.x20041019.ItemLookupDocument body)
                                                                                               throws java.io.IOException,
                                                                                                      org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.ItemLookup

  Specified by:
    `ItemLookup` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginItemSearch

    public void beginItemSearch(com.amazon.webservices.awseCommerceService.x20041019.ItemSearchDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginItemSearch

  Specified by:
    `beginItemSearch` in interface `AmazonClientControl`

### ItemSearch

    public com.amazon.webservices.awseCommerceService.x20041019.ItemSearchResponseDocument ItemSearch(com.amazon.webservices.awseCommerceService.x20041019.ItemSearchDocument body)
                                                                                               throws java.io.IOException,
                                                                                                      org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.ItemSearch

  Specified by:
    `ItemSearch` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### beginHelp

    public void beginHelp(com.amazon.webservices.awseCommerceService.x20041019.HelpDocument body)

  Implements org.controlhaus.amazon.AmazonClientControl.beginHelp

  Specified by:
    `beginHelp` in interface `AmazonClientControl`

### Help

    public com.amazon.webservices.awseCommerceService.x20041019.HelpResponseDocument Help(com.amazon.webservices.awseCommerceService.x20041019.HelpDocument body)
                                                                                   throws java.io.IOException,
                                                                                          org.codehaus.xfire.fault.XFireFault

  Implements org.controlhaus.amazon.AmazonClientControl.Help

  Specified by:
    `Help` in interface `AmazonClientControl`
  Throws:
    `java.io.IOException`
    `org.codehaus.xfire.fault.XFireFault`

### getControlImplementation

    public java.lang.String getControlImplementation()

  Overrides:
    `getControlImplementation` in class `org.controlhaus.xfire.client.XFireClientControlBean`

### getPropertyMapCache

    protected java.util.Map getPropertyMapCache()

  Overrides:
    `getPropertyMapCache` in class `org.controlhaus.xfire.client.XFireClientControlBean`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Controlhaus. All Rights Reserved.